%define source_date 20140119

%define rel 1

Name: mageia-kde4-config
Summary: %_vendor KDE 4 configuration
Version: 4
# TO BE REMOVED BEFORE RELEASE
# For config changes in svn ( tarball date changes ) increment major.
# For updates without touch to tarball date, increment minor
Release: %mkrel -c %{source_date} %{rel}
URL: http://svnweb.mageia.org/soft/mageia-kde4-config/trunk/
Group: Graphical desktop/KDE
BuildRequires: kde4-macros
BuildRequires: inkscape
#Need convert from imagemagick to create background pictures for default splash
BuildRequires: imagemagick
# to recreate the tarball use the Makefile available on http://svnweb.mageia.org/soft/mageia-kde4-config/trunk/
Source0: %{name}-%{version}.%{source_date}.tar.xz
Source1: kde4-firstsetup.sh
Source2: Home2.desktop
License: GPLv2
BuildArch: noarch

%description
This package regroups all specific %_vendor config file for KDE.
(kicker config etc.) 

#------------------------------------------------------------------------------

%package common
Group: Graphical desktop/KDE
Summary: Common configs used for %_vendor theme
Requires: urw-fonts
Requires: desktop-common-data
Requires: %_real_vendor-theme-screensaver
# Needed to ease upgrade since we moved the default ksplash in /usr/share/ksplash/Themes and Air&Houros Theme were only rename with 2:4.6.1-7
Conflicts: kdebase4-workspace < 2:4.6.1-7
# Obsoletes iaora theme
Obsoletes: kde4-style-iaora-common < 0.3.2-2
Obsoletes: kde4-style-iaora < 0.3.2-2
Obsoletes: qt4-style-iaora < 0.3.2-2

%description common
common configs used for %_vendor theme


%files common
%config %_sysconfdir/pam.d/kdm
%config %_sysconfdir/pam.d/kdm-np
%config %_sysconfdir/pam.d/kscreensaver
%config %_sysconfdir/pam.d/kcheckpass
%dir %_localstatedir/lib/%_real_vendor/
%dir %_localstatedir/lib/%_real_vendor/kde4-profiles
%dir %_localstatedir/lib/%_real_vendor/kde4-profiles/common
%_localstatedir/lib/%_real_vendor/kde4-profiles/common/*
%exclude %_localstatedir/lib/%_real_vendor/kde4-profiles/common/share/config/kdm
%_datadir/kde4/env/*
%attr(0755,root,root) %_datadir/dist/desktop-files/default/Home2.desktop
%_kde_appsdir/kdm/themes
# exclude icons not used since ksplash 3.2
%exclude %_kde_appsdir/ksplash/Themes/Default/1920x1440/icon?.png
%exclude %_kde_appsdir/ksplash/Themes/Default/1920x1440/icon?_anim.png
%_kde_appsdir/ksplash/Themes/

#------------------------------------------------------------------------------

%package -n vanilla-kde4-config
Group: Graphical desktop/KDE
Summary: Default configs used for upstream KDE
Requires: urw-fonts
Provides: kde4-config-file = %version-%release
Requires: desktop-common-data
Requires: %_real_vendor-kde4-config-common = %version-%release
Requires: oxygen-icon-theme
Requires: kdebase4-workspace-plasma-config
Requires(post): update-alternatives
Requires(post): perl-MDK-Common 
Requires(post): ccp
# vanilla uses the kde default wallpaper
Suggests: kde-wallpapers
# used by photos activity template
Suggests: plasma-applet-frame
# these 4 plasma applets are used by netbook workspace
Suggests: plasma-applet-news
Suggests: plasma-applet-weather
Suggests: plasma-applet-opendesktop
Suggests: plasma-applet-knowledgebase

%description -n vanilla-kde4-config
Default configs used for upstream KDE.


%files -n vanilla-kde4-config
%defattr(0644,root,root,755)
%_localstatedir/lib/%_real_vendor/kde4-profiles/vanilla/


%post -n vanilla-kde4-config
if [ -f %_sysconfdir/kde4rc -a ! -h %_sysconfdir/kde4rc ]; then
    mv %_sysconfdir/kde4rc %_sysconfdir/kde4rc.rpmold
fi
update-alternatives --install %_sysconfdir/kde4rc kde4-config %_localstatedir/lib/%_real_vendor/kde4-profiles/vanilla/kde4rc 9

mkdir -p %_kde_configdir/kdm
if [ -f %_kde_configdir/kdm/kdmrc -a ! -h %_kde_configdir/kdm/kdmrc ]; then
	mv %_kde_configdir/kdm/kdmrc %_kde_configdir/kdm/kdmrc.rpmold
fi
if [ -f %_kde_configdir/kdm/backgroundrc -a ! -h %_kde_configdir/kdm/backgroundrc ]; then
	mv %_kde_configdir/kdm/backgroundrc %_kde_configdir/kdm/backgroundrc.rpmold
fi
update-alternatives --install \
	%_kde_configdir/kdm/kdmrc kdm4-config \
	%_localstatedir/lib/%_real_vendor/kde4-profiles/vanilla/share/config/kdm/kdmrc \
	9 \
	--slave \
	%_kde_configdir/kdm/backgroundrc \
	kdm4-background-config \
	%_localstatedir/lib/%_real_vendor/kde4-profiles/vanilla/share/config/kdm/backgroundrc

ccp -b -i --type ini --set NoOrphans -o %_localstatedir/lib/%_real_vendor/kde4-profiles/vanilla/share/config/kdm/kdmrc -n %_localstatedir/lib/%_real_vendor/kde4-profiles/vanilla/share/config/kdm/kdmrc.rpmnew > /dev/null 2>&1

# As kdmrc is a config(noreplace), make sure that the poweroff commande is OK.
perl -MMDK::Common -e 'update_gnomekderc("%_kde_configdir/kdm/kdmrc", Shutdown, HaltCmd, "/usr/bin/poweroff")'

%postun -n vanilla-kde4-config
if [ "$1" = "0" ]; then
    if ! [ -e %_localstatedir/lib/%_real_vendor/kde4-profiles/vanilla/kde4rc ]; then
        update-alternatives --remove kde4-config %_localstatedir/lib/%_real_vendor/kde4-profiles/vanilla/kde4rc
    fi
    if ! [ -e %_localstatedir/lib/%_real_vendor/kde4-profiles/vanilla/share/config/kdmrc ]; then
        update-alternatives --remove kdm4-config %_localstatedir/lib/%_real_vendor/kde4-profiles/vanilla/share/config/kdmrc
    fi
fi

#------------------------------------------------------------------------------

%package -n Default-kde4-config
Summary: %_vendor KDE configuration 
Group: Graphical desktop/KDE
Provides: kde4-config-file = %version-%release
Requires: %_real_vendor-theme
Requires: %_real_vendor-theme-kde-background
Requires: %_real_vendor-kde4-config-common = %version-%release
Requires: desktop-common-data
Requires: plasma-applet-icontasks
Provides:  %_real_vendor-kdm4-config = %version-%release
Requires(post): update-alternatives
Requires(post): perl-MDK-Common 
Requires(post): ccp
# used by photos activity template
Suggests: plasma-applet-frame
# there's a dynamic configuration for telepathy
Suggests: telepathy-kde-desktop-applets

%description -n Default-kde4-config
This package regroups all specific %_vendor config file for KDE.

%files -n Default-kde4-config
%defattr(0644,root,root,755)
%dir %_localstatedir/lib/%_real_vendor/kde4-profiles/Default
%_kde_services/plasma-layout-org.mageia.plasma-desktop.defaultPanel.desktop
%_kde_services/plasma-layout-org.mageia.plasma-desktop.classicPanel.desktop
%_localstatedir/lib/%_real_vendor/kde4-profiles/Default/*
%config(noreplace) %_localstatedir/lib/%_real_vendor/kde4-profiles/Default/share/config/kdm/backgroundrc
%config(noreplace) %_localstatedir/lib/%_real_vendor/kde4-profiles/Default/share/config/kdm/kdmrc


%post -n Default-kde4-config
if [ -f %_sysconfdir/kde4rc -a ! -h %_sysconfdir/kde4rc ]; then
    mv %_sysconfdir/kde4rc %_sysconfdir/kde4rc.rpmold
fi
update-alternatives --install %_sysconfdir/kde4rc kde4-config %_localstatedir/lib/%_real_vendor/kde4-profiles/Default/kde4rc 20

mkdir -p %_kde_configdir/kdm
if [ -f %_kde_configdir/kdm/kdmrc -a ! -h %_kde_configdir/kdm/kdmrc ]; then
	mv %_kde_configdir/kdm/kdmrc %_kde_configdir/kdm/kdmrc.rpmold
fi
if [ -f %_kde_configdir/kdm/backgroundrc -a ! -h %_kde_configdir/kdm/backgroundrc ]; then
	mv %_kde_configdir/kdm/backgroundrc %_kde_configdir/kdm/backgroundrc.rpmold
fi
update-alternatives --install \
	%_kde_configdir/kdm/kdmrc kdm4-config \
	%_localstatedir/lib/%_real_vendor/kde4-profiles/Default/share/config/kdm/kdmrc \
	10 \
	--slave \
	%_kde_configdir/kdm/backgroundrc \
	kdm4-background-config \
	%_localstatedir/lib/%_real_vendor/kde4-profiles/Default/share/config/kdm/backgroundrc
ccp -b -i --type ini --set NoOrphans -o %_localstatedir/lib/%_real_vendor/kde4-profiles/Default/share/config/kdm/kdmrc -n %_localstatedir/lib/%_real_vendor/kde4-profiles/Default/share/config/kdm/kdmrc.rpmnew > /dev/null 2>&1

# As kdmrc is a config(noreplace), make sure that the poweroff commande is OK.
perl -MMDK::Common -e 'update_gnomekderc("%_kde_configdir/kdm/kdmrc", Shutdown, HaltCmd, "/usr/bin/poweroff")'

%postun -n Default-kde4-config
if [ "$1" = "0" ]; then
    if ! [ -e %_localstatedir/lib/%_real_vendor/kde4-profiles/Default/kde4rc ]; then
        update-alternatives --remove kde4-config %_localstatedir/lib/%_real_vendor/kde4-profiles/Default/kde4rc
    fi
    if ! [ -e %_localstatedir/lib/%_real_vendor/kde4-profiles/Default/share/config/kdmrc ]; then
        update-alternatives --remove kdm4-config %_localstatedir/lib/%_real_vendor/kde4-profiles/Default/share/config/kdmrc
    fi
fi

#------------------------------------------------------------------------------

%package -n netbook-kde4-config
Summary: %_vendor KDE configuration 
Group: Graphical desktop/KDE
Provides: kde4-config-file = %version-%release
Requires: %_real_vendor-theme
Requires: %_real_vendor-theme-kde-background
Requires: %_real_vendor-kde4-config-common = %version-%release
Requires: desktop-common-data
# these 4 plasma applets are used by activity newspaper
Requires: plasma-applet-news
Requires: plasma-applet-weather
Requires: plasma-applet-opendesktop
Requires: plasma-applet-knowledgebase
Provides:  %_real_vendor-kdm4-config = %version-%release
Requires(post): update-alternatives
Requires(post): perl-MDK-Common 
Requires(post): ccp

%description -n netbook-kde4-config
This package regroups all specific %_vendor config file for KDE.

%files -n netbook-kde4-config
%defattr(0644,root,root,755)
%dir %_localstatedir/lib/%_real_vendor/kde4-profiles/netbook
%_localstatedir/lib/%_real_vendor/kde4-profiles/netbook/*
%config(noreplace) %_localstatedir/lib/%_real_vendor/kde4-profiles/netbook/share/config/kdm/backgroundrc
%config(noreplace) %_localstatedir/lib/%_real_vendor/kde4-profiles/netbook/share/config/kdm/kdmrc


%post -n netbook-kde4-config
if [ -f %_sysconfdir/kde4rc -a ! -h %_sysconfdir/kde4rc ]; then
    mv %_sysconfdir/kde4rc %_sysconfdir/kde4rc.rpmold
fi
update-alternatives --install %_sysconfdir/kde4rc kde4-config %_localstatedir/lib/%_real_vendor/kde4-profiles/netbook/kde4rc 20

mkdir -p %_kde_configdir/kdm
if [ -f %_kde_configdir/kdm/kdmrc -a ! -h %_kde_configdir/kdm/kdmrc ]; then
	mv %_kde_configdir/kdm/kdmrc %_kde_configdir/kdm/kdmrc.rpmold
fi
if [ -f %_kde_configdir/kdm/backgroundrc -a ! -h %_kde_configdir/kdm/backgroundrc ]; then
	mv %_kde_configdir/kdm/backgroundrc %_kde_configdir/kdm/backgroundrc.rpmold
fi
update-alternatives --install \
	%_kde_configdir/kdm/kdmrc kdm4-config \
	%_localstatedir/lib/%_real_vendor/kde4-profiles/netbook/share/config/kdm/kdmrc \
	10 \
	--slave \
	%_kde_configdir/kdm/backgroundrc \
	kdm4-background-config \
	%_localstatedir/lib/%_real_vendor/kde4-profiles/netbook/share/config/kdm/backgroundrc
ccp -b -i --type ini --set NoOrphans -o %_localstatedir/lib/%_real_vendor/kde4-profiles/netbook/share/config/kdm/kdmrc -n %_localstatedir/lib/%_real_vendor/kde4-profiles/free/share/config/kdm/kdmrc.rpmnew > /dev/null 2>&1

# As kdmrc is a config(noreplace), make sure that the poweroff commande is OK.
perl -MMDK::Common -e 'update_gnomekderc("%_kde_configdir/kdm/kdmrc", Shutdown, HaltCmd, "/usr/bin/poweroff")'

%postun -n netbook-kde4-config
if [ "$1" = "0" ]; then
    if ! [ -e %_localstatedir/lib/%_real_vendor/kde4-profiles/netbook/kde4rc ]; then
        update-alternatives --remove kde4-config %_localstatedir/lib/%_real_vendor/kde4-profiles/netbook/kde4rc
    fi
    if ! [ -e %_localstatedir/lib/%_real_vendor/kde4-profiles/netbook/share/config/kdmrc ]; then
        update-alternatives --remove kdm4-config %_localstatedir/lib/%_real_vendor/kde4-profiles/netbook/share/config/kdmrc
    fi
fi

#------------------------------------------------------------------------------

%prep
%setup -q

%install
# Create profile dirs
mkdir -p %buildroot/%_datadir/kde4/env
mkdir -p %buildroot/%_datadir/dist/desktop-files/default
mkdir -p %buildroot/%_kde_appsdir/kdm
mkdir -p %buildroot/%_kde_appsdir/plasma/layout-templates/
mkdir -p %buildroot/%_kde_services
mkdir -p %buildroot/%_kde_configdir/kdm
mkdir -p %buildroot/%_localstatedir/lib/%_real_vendor

# We keep this common as we use the same theme for all mageia flavours
mv kde4-profiles/common/share/config/kdm/themes %buildroot/%{_kde_appsdir}/kdm
mv kde4-profiles/common/etc  %buildroot/
mv kde4-profiles %buildroot/%_localstatedir/lib/%_real_vendor 
 
for name in Default netbook; do
	pushd %buildroot/%_localstatedir/lib/%_real_vendor/kde4-profiles/$name/share/apps/%_real_vendor/pics/
		icondir=%buildroot/%_localstatedir/lib/%_real_vendor/kde4-profiles/$name/share/icons
		mkdir -p $icondir/oxygen/scalable/places/
		cp mgabutton.svg $icondir/oxygen/scalable/places/

		for RES in 16 22 32 48 64 128 256; do 
			mkdir -p  $icondir/oxygen/${RES}x${RES}/places
			inkscape -z -w ${RES} -h ${RES} -f mgabutton.svg -e $icondir/oxygen/${RES}x${RES}/places/mgabutton.png
		done
	popd
	echo "[Directories-default]" > %buildroot%_localstatedir/lib/%_real_vendor/kde4-profiles/$name/kde4rc
	echo "prefixes=/var/lib/%_real_vendor/kde4-profiles/common,%_localstatedir/lib/%_real_vendor/kde4-profiles/$name" >> %buildroot%_localstatedir/lib/%_real_vendor/kde4-profiles/$name/kde4rc
done
# Set up the default mageia panel
cp %buildroot/%_localstatedir/lib/%_real_vendor/kde4-profiles/Default/share/apps/plasma/layout-templates/org.mageia.plasma-desktop.defaultPanel/metadata.desktop \
	%buildroot/%_kde_services/plasma-layout-org.mageia.plasma-desktop.defaultPanel.desktop
cp %buildroot/%_localstatedir/lib/%_real_vendor/kde4-profiles/Default/share/apps/plasma/layout-templates/org.mageia.plasma-desktop.classicPanel/metadata.desktop \
        %buildroot/%_kde_services/plasma-layout-org.mageia.plasma-desktop.classicPanel.desktop

# Create kde4rc and the mgabutton.png for vanilla flavor

echo "[Directories-default]" > %buildroot%_localstatedir/lib/%_real_vendor/kde4-profiles/vanilla/kde4rc
echo "prefixes=/var/lib/%_real_vendor/kde4-profiles/vanilla" >> %buildroot%_localstatedir/lib/%_real_vendor/kde4-profiles/vanilla/kde4rc
icondir=%buildroot/%_localstatedir/lib/%_real_vendor/kde4-profiles/vanilla/share/icons
 mkdir -p $icondir/oxygen/scalable/places/
   for RES in 16 22 32 48 64 128 256; do
       mkdir -p  $icondir/oxygen/${RES}x${RES}/places
       ln -s %_kde_iconsdir/oxygen/${RES}x${RES}/places/start-here-kde.png $icondir/oxygen/${RES}x${RES}/places/mgabutton.png
   done


# Install kde4 firstsetup script in /usr/share/kde4/env to be sourced on kde start

	install -m 755 %SOURCE1 %buildroot/%_datadir/kde4/env

# Install .desktop files in /usr/share/dist/desktop-files/default folder
	install -m 755 %SOURCE2 %buildroot/%_datadir/dist/desktop-files/default


# Create the background pictures & moved them to /usr/share/apps/ksplash/Themes

pushd %{buildroot}/%_localstatedir/lib/%_real_vendor/kde4-profiles/common/share/apps/ksplash/Themes/Default

for DIR in "600x400"  "1024x600"  "1280x1024"  "1920x1080"  "1920x1200" "1920x1440" "2560x1600"
do
if [ ! -e "$DIR/background.png" ]; then
 mkdir -p $DIR
 convert -scale $DIR! -filter lanczos 2560x1920/background.png "$DIR/background.png"  
fi
done
popd

# move Mageia Ksplash theme to /usr/share/apps/ksplash folder

mkdir -p %{buildroot}/%_kde_appsdir/ksplash/Themes
mv %{buildroot}/%_localstatedir/lib/%_real_vendor/kde4-profiles/common/share/apps/ksplash/Themes/Default %{buildroot}/%_kde_appsdir/ksplash/Themes/


%changelog
* Mon Jan 20 2014 schultz <schultz> 4-0.20140119.1.mga4
+ Revision: 567091
- ksplash 4.2
- fix animation location on small screens

* Tue Jan 14 2014 schultz <schultz> 4-0.20140114.1.mga4
+ Revision: 566551
- Ksplash 4.1
- adjust location of animation

* Tue Jan 07 2014 schultz <schultz> 4-0.20140107.1.mga4
+ Revision: 565372
- 20140107
- Add support for 2560x1920 resolutions in ksplash
- Add artwork for MGA4

* Tue Dec 17 2013 lmenut <lmenut> 4-0.20130825.4.mga4
+ Revision: 558246
- come back to mageia-drakconf.desktop (mga#12014)

* Sat Oct 19 2013 umeabot <umeabot> 4-0.20130825.3.mga4
+ Revision: 533777
- Mageia 4 Mass Rebuild

* Thu Sep 05 2013 tmb <tmb> 4-0.20130825.2.mga4
+ Revision: 475294
- fix path to drakconf (mga #11143)

* Sun Aug 25 2013 mikala <mikala> 4-0.20130825.1.mga4
+ Revision: 471734
- Update version for mageia 4
- Update top title to 4.11
- Don't fix tty's in kdmrc

* Tue Apr 23 2013 lmenut <lmenut> 3-0.20130423.1.mga3
+ Revision: 411028
- remove old kde 3 color schemes
- add russian & romanian translations (by yurchor & piratu)
- konquerorrc: enable java (mga #7660)
- fix up PAM configs (by colin, mga #9799)
- obsoletes iaora theme (deprecated, crash with kde 4.10 - mga #9005)
- kde4-firstsetup.sh: clean plasma & icons caches (mga #9761)

  + schultz <schultz>
    - ksplash 3.2 - comment kde icons to test

* Wed Mar 27 2013 schultz <schultz> 3-0.20130327.3.mga3
+ Revision: 405755
- ksplash 3.1 - Mageia 3 design

* Wed Mar 27 2013 neoclust <neoclust> 3-0.20130327.2.mga3
+ Revision: 405420
- Use new background for ksplash

* Mon Mar 18 2013 lmenut <lmenut> 3-0.20130317.1.mga3
+ Revision: 403702
- fix ktp-presence install (rename to org.kde.ktp-presence)
- telepathy-kde-desktop-applets replaces telepathy-kde-presence-applet
- kdmrc: specify the file format ini for ccp upgrade
- kdmrc: don't remove .rpmnew after upgrade by ccp (mga #9020)
- Fix default screensaver config for new screen locker/screensaver
- Remove old Obsoletes and Provides mandriva config
- Fix Requires, Requires(pre) and Requires(post)  (thanks luigi)

  + schultz <schultz>
    - mga3 ksplash added

* Wed Feb 06 2013 lmenut <lmenut> 3-0.20130206.1.mga3
+ Revision: 394932
- Remove unused icons
  kdmrc: update default UserPath and SystemPath after UsrMove
- Fix default directories
- Remove obsolete %%pre and %%trigger scripts
  Fix %%post scripts
- Install Home2.desktop in /usr/share/dist/desktop-files/default
- Remove obsolete code: update from old plasma config (<mga2)
- Remove obsolete themes Mageia-Dark and Default_Animated
- Remove Welcome.desktop
- Clean indentation
- Merge copy of .desktop on desktop
- Remove obsolete code: remove old mdv icons
- Remove obsolete code: migration from iaora-qt to iaorakde widget style
- Remove obsolete code: delete mdv Welcome.desktop
- Remove obsolete code: mga2purgecache
- Remove code that migrates mdv 2010.* config to mga config

* Sat Jan 12 2013 umeabot <umeabot> 3-0.20121208.2.mga3
+ Revision: 359288
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 09 2012 mikala <mikala> 3-0.20121208.1.mga3
+ Revision: 328984
- Update top svg
- Indonesian translation added by kiki

* Thu Dec 06 2012 neoclust <neoclust> 3-0.20120929.3.mga3
+ Revision: 327142
- Fix case when desktop dir has spaces patch from Alex Loginov( mga #8301)

* Mon Oct 01 2012 neoclust <neoclust> 3-0.20120929.2.mga3
+ Revision: 301724
- Migrate to new poweroff path

* Sat Sep 29 2012 ennael <ennael> 3-0.20120929.1.mga3
+ Revision: 300103
- Fix poweroff path

* Sun Sep 09 2012 mikala <mikala> 3-0.20120909.1.mga3
+ Revision: 291259
- Update top.svg
- Disable console login from kdm (switched back to upstream default)

* Sun Jun 03 2012 ennael <ennael> 2-0.20120603.1.mga3
+ Revision: 253602
- use design from original author

  + colin <colin>
    - Use Xserver VTs from 1 up rather than 7 up. (mga#5794)

* Thu May 03 2012 mikala <mikala> 2-0.20120503.1.mga2
+ Revision: 234611
- Disable Effects for kslideshow screensaver fixing mga #5020 (screensaver really slow to desactivate)

* Thu Apr 26 2012 mikala <mikala> 2-0.20120425.1.mga2
+ Revision: 233286
- Suggests ktp-presence-applet instead of a requires

  + lmenut <lmenut>
    - remove Kontact from Favorites menu (mga #5553)
    - add apper config file: apper won't check update by default
    - fix ktp_presence install

* Sun Apr 22 2012 lmenut <lmenut> 2-0.20120422.1.mga2
+ Revision: 232583
- Fix default wallpaper for all activities
- Restore root login from kdm (fix mga #5379)
- Don't set OpenGLIsUnsafe in global kwinrc
- move kdeglobals and ksplashrc in mageia-kde4-config-common
- Default-kde4-config:
  + suggests plasma-applet-frame used by photos activity
- netbook-kde4-config:
  requires plasma applets used by newspaper activity
  + plasma-applet-knowledgebase
  + plasma-applet-news
  + plasma-applet-opendesktop
  + plasma-applet-weather
- vanilla-kde4-config:
  + suggests kde-wallpapers
  + suggests plasma applets used by newspaper activity

* Wed Apr 11 2012 mikala <mikala> 2-0.20120411.4.mga2
+ Revision: 230253
- Fix bug that prevent new wallpaper to be shown

* Wed Apr 11 2012 mikala <mikala> 2-0.20120411.3.mga2
+ Revision: 230230
- Change Ksplash image

* Tue Apr 10 2012 mikala <mikala> 2-0.20120410.2.mga2
+ Revision: 230086
- Update KSplash image for mageia 2

* Mon Apr 02 2012 lmenut <lmenut> 2-0.20120402.1.mga2
+ Revision: 227811
- show tasks from all screens in icontasks (mga #5094)
- drop requires on plasma-applet-battery
- Default-kde4-config requires telepathy-kde-presence-applet

* Mon Mar 26 2012 lmenut <lmenut> 2-0.20120326.1.mga2
+ Revision: 226526
- fix duplicated panel after plasma update (mga #4845)
- sync classicPanel's config with defaultPanel

* Thu Mar 15 2012 mikala <mikala> 2-0.20120315.2.mga2
+ Revision: 223485
- Fix pam files to work with xguest

* Wed Mar 14 2012 ennael <ennael> 2-0.20120314.1.mga2
+ Revision: 223379
- improve default plasma layout

* Tue Mar 06 2012 lmenut <lmenut> 2-0.20120306.1.mga2
+ Revision: 219433
- new plasma's configuration :
  + remove system plasma-desktoprc & plasma-desktop-appletsrc
  + add scripts to init & update panel
  + add template for default panel (icontasks replaces tasks by default)
  + add template for classic panel (using tasks)
- show tooltips in systemsettings by default
- vanilla-kde4-config requires kdebase4-workspace-plasma-config
- drop unused source5 mageia-default.js

* Fri Feb 17 2012 dmorgan <dmorgan> 2-0.20120217.3.mga2
+ Revision: 210073
- Fix default wallpaper

* Thu Feb 16 2012 dmorgan <dmorgan> 2-0.20120216.2.mga2
+ Revision: 209862
- Fix default background

* Sun Feb 12 2012 lmenut <lmenut> 2-0.20120212.1.mga2
+ Revision: 207604
- Use plasma theme Air
- Let kde install the widget battery when needed

  + kamil <kamil>
    - use uniform style of summaries in Default-kde-config, netbook-kde4-config and vanilla-kde4-config (mga#4403)

* Wed Jan 25 2012 mikala <mikala> 2-0.20120125.1.mga2
+ Revision: 200741
- Update top svg for classical menu
- build plasma-layout-org.kde.plasma-desktop.mageia.desktop from metadata.desktop
- Update some options for icontasks
- Create the plasma-layout-org.kde.plasma-desktop.mageia.desktop from the metadata.desktop file
- Install plasma-applet-battery by default

* Sat Jan 14 2012 mikala <mikala> 2-0.20120113.2.mga2
+ Revision: 195845
- first try with a mageia panel using icontasks :
- it can be added on a left click/add panel
- Update tarball :
  -let kde choose the correct background file for kdm instead of relaying to background.jpg (which can be missing sometimes)
- fix tty usage in trigger (don't use tty1 for ConsoleTTYs)

* Tue Jan 10 2012 mikala <mikala> 2-0.20120110.1.mga2
+ Revision: 194687
- Update tarball :
  - enable nepomuk by default (since nepomuk is in a standalone package the user can simply removed it if needeed)
  - don't use tty1 in ConsoleTTY (it's now used by X)
  - enable desktop effect like upstream does (let see if it's working now)
  - don't show QR code by default in kaddressbook
  - update dolphin configuration to match kde 4.8 settings
  - simplification of the kdebugrc file

* Thu Dec 08 2011 mikala <mikala> 2-0.20111207.1.mga2
+ Revision: 178789
- Disable display of events per default in the plasmoid clock (spotted by doktor_500 & useful for live-cd)

* Sun Oct 02 2011 mikala <mikala> 2-0.20110921.2.mga2
+ Revision: 151118
- Remove wrong requires

* Thu Sep 22 2011 mikala <mikala> 2-0.20110921.1.mga2
+ Revision: 146549
- Use directory.trash to create the trash.desktop & remove SOURCE4
- Fix rpmlint warnings
 - use dolphin as a temporary workaround for Home2.desktop
- Switch to oxygen instead of iaora for Default & Netbook config file
- Add pam files for kdm,kcheckpass & kscreensaver in common config file
- Update version to 2 (we're on Mageia 2)
- Add mgabutton as symlink for start-here-kde in the vanilla theme to have the ?\194?\171 upstream ?\194?\187 icon since we're patching kdebase4-workspace
- Fix Provides for common package
- Update tarball to fix default kdm & ksplash for vanilla flavour
- Use correct prefix for vanilla
- Follow luc menut suggestion for kde prefix use
- More progress on  vanilla flavour :
 - move configurations files from common to Default/netbook flavors
 - remove useless configuration files
 - sync dolphinuirc with upstream
 - fix alternatives for kde4-config & kdm-config vanilla flavour

* Wed Jul 20 2011 mikala <mikala> 1-17.mga2
+ Revision: 127327
- Add qt4-style-iaora & kde4-style-iaora as requires on default/netbook -kde4-config (moved from kdelibs4 package)
- Add mageia-theme-kde-background as requires for Default & netbook config
- add as suggests kde4-splash-mga (commented until we'll get our svg file)

  + ahmad <ahmad>
    - Add kdm4-config update-alternatives to post/postun of the vanilla sub-package

* Tue Jul 12 2011 mikala <mikala> 1-15.mga2
+ Revision: 123110
- Really update top.svg
- Fix typo in kdeglobals

* Tue Jul 12 2011 mikala <mikala> 1-14.mga2
+ Revision: 122701
- Update tarball (provides a new top.svg)
- first step for a vanilla package

  + dmorgan <dmorgan>
    - Fix file list
    - Remove rm -fr and use %%exclude
      Create vanilla config packge that will provide the "default upstream kde config"

* Fri Jun 17 2011 mikala <mikala> 1-13.mga2
+ Revision: 108603
- Don't use -nr as an argument for ServerArgsLocal
- Disable sound for Event/Textcompletion: partial match (mga #1761)

* Thu May 26 2011 mikala <mikala> 1-12.mga1
+ Revision: 100516
- Update splash background & preview to match mageia theme

  + dmorgan <dmorgan>
    - Use final KMenu icon

* Thu May 26 2011 dmorgan <dmorgan> 1-11.mga1
+ Revision: 100426
- Do not enable fprintd login plugin ( asked by blino)

* Thu May 26 2011 blino <blino> 1-10.mga1
+ Revision: 100414
- use /usr/share/dist/desktop-files/<product>/ for default desktop files
  (closer to the openSUSE way in nautilus)

* Tue May 24 2011 mikala <mikala> 1-9.mga1
+ Revision: 100352
- Remove the require to kde4-splash-mga

* Sat May 21 2011 schultz <schultz> 1-8.mga1
+ Revision: 100077
- Replace logo.png in ksplash (dtsiamasiotis)
  Update Default ksplash to 2.3
  Tarball date 20110521

  + mikala <mikala>
    - We're not using mageiagalaxy.real (clean kde4-firstsetup.sh)

* Tue May 17 2011 schultz <schultz> 1-6.mga1
+ Revision: 99372
- Update ksplash to 2.2
- remove the dot on the 'i' of mageia (now in logo.png)

* Mon May 16 2011 schultz <schultz> 1-5.mga1
+ Revision: 99334
- bump mkrel to 5
- Update to 1.1
- Update ksplash background, logo and preview
 - fixes mga bug #1285

* Sun May 15 2011 mikala <mikala> 1-4.mga1
+ Revision: 99101
- Don't remove our register.desktop
- Use ln & not cp for desktop files used in lancelot new documents

* Sun May 15 2011 mikala <mikala> 1-3.mga1
+ Revision: 98873
- Fix kdm text color with final theme
- Update kde4-firstsetup.sh to ease upgrade from mandriva (thks to L.Menut), fix mga #1190 & #916

* Sat May 14 2011 mikala <mikala> 1-2.mga1
+ Revision: 98771
+ rebuild (emptylog)

* Tue May 10 2011 mikala <mikala> 1-1.mga1
+ Revision: 97068
- Use system notification for amarok
- Set GLDirect=true for kwinrc

  + schultz <schultz>
    - Update ksplash to final
      New tarball 20110510

* Sat May 07 2011 mikala <mikala> 1-0.32.mga1
+ Revision: 95729
- Use [General] for ColorScheme instead of [KDE] ( mga #900)

* Thu May 05 2011 mikala <mikala> 1-0.31.mga1
+ Revision: 95096
- Update tarball :
 - Drop gtkrc* files from common/share/config/; they get written by fonts kcm from scratch ( ahmad)
 - fix typo in default ksplash description.txt
- Really fix default_animated ksplash theme

* Thu May 05 2011 mikala <mikala> 1-0.30.mga1
+ Revision: 95088
- Don't package default_animated ksplash (#mga 988)

* Mon May 02 2011 schultz <schultz> 1-0.29.mga1
+ Revision: 94315
- Update tarball to 20110502
  Provisional final ksplash

* Fri Apr 22 2011 mikala <mikala> 1-0.28.mga1
+ Revision: 89750
- Disable some plugins in krunner which can trigger akonadi for live cd
- Reverse the caracters color in kdm for the moment

* Thu Apr 21 2011 schultz <schultz> 1-0.27.mga1
+ Revision: 89472
- Add Mageia-Dark ksplash theme, new tarball

* Mon Apr 18 2011 ahmad <ahmad> 1-0.26.mga1
+ Revision: 87550
- kde4-firstsetup.sh: fix checking for /usr/share/mga/desktop/${PROD}
- kde4-firstsetup.sh:
  o only copy Home2.desktop once
  o drop some old kde3 migration stuff

  + dmorgan <dmorgan>
    - Add TODO

* Sun Apr 17 2011 dmorgan <dmorgan> 1-0.25.mga1
+ Revision: 87339
- Try to fix desktop files copy on desktop for Live

* Tue Apr 05 2011 ahmad <ahmad> 1-0.24.mga1
+ Revision: 80591
- change konqueror webbrowsing profile to use the current location of index.html
  (/usr/share/indexhtml/index.html)

* Sun Apr 03 2011 mikala <mikala> 1-0.23.mga1
+ Revision: 79932
- Fix another typo in description.txt for ksplash

* Sun Apr 03 2011 mikala <mikala> 1-0.22.mga1
+ Revision: 79926
- Update comment regarding tarball creation
- Update tarball:
 -Fix an error in description.txt
 -update icon3_animated.pg (the ?\194?\171 internet ?\194?\187 icon should not vanish anymore)

* Sat Apr 02 2011 schultz <schultz> 1-0.21.mga1
+ Revision: 79792
- update for bubbles animation in ksplash, new tarball, update src daet

* Fri Apr 01 2011 mikala <mikala> 1-0.20.mga1
+ Revision: 79467
- Add conflicts on -common

* Fri Apr 01 2011 mikala <mikala> 1-0.19.mga1
+ Revision: 79408
+ rebuild (emptylog)

* Fri Apr 01 2011 mikala <mikala> 1-0.18.2.mga1
+ Revision: 79406
- Update tarball :
 - Dolphin should show delete item when selected ( fix mga #604)
 - Add a default splash for mageia using ksplashx

* Thu Mar 31 2011 mikala <mikala> 1-0.18.mga1
+ Revision: 79256
- Add a require for kde4-splash-mga on -common (now we're providing it)

  + dmorgan <dmorgan>
    - Fix Welcome.desktop file
    - Fix Home desktop file
    - Remove old hack
      Fix typo

* Wed Mar 30 2011 dams <dams> 1-0.17.mga1
+ Revision: 79034
- Remove and Migrate old mdv desktop files

  + dmorgan <dmorgan>
    - Obsolete mandriva-kde-icons

* Wed Mar 30 2011 mikala <mikala> 1-0.16.mga1
+ Revision: 79016
- Do not limit icon size in the panel

* Sat Mar 12 2011 mikala <mikala> 1-0.15.mga1
+ Revision: 68367
- Update tarball :
  	- adjust kmmainwin.rc layout & sync with kde's upstream
  	- adjust dolphinui.rc layout & sync with kde's upstream
  	- add edit_find back in mainToolBar, drop the searchToolBar
  	- fix view submenu ( additional_info was broken,& some items were not translated)

* Thu Mar 03 2011 mikala <mikala> 1-0.14.mga1
+ Revision: 63415
- Disable 3d effects by default

* Sat Feb 19 2011 dmorgan <dmorgan> 1-0.13.mga1
+ Revision: 54073
- Fix updates from mandriva

* Thu Feb 17 2011 mikala <mikala> 1-0.12.mga1
+ Revision: 52800
- Fix mga #58 (fix the use of dolphin panels)

* Thu Feb 17 2011 ahmad <ahmad> 1-0.11.mga1
+ Revision: 52768
- add more obsoletes for smoother upgrades

* Wed Feb 16 2011 mikala <mikala> 1-0.10.mga1
+ Revision: 52179
- Remove BuildRoot
- Update tarball :
 - don't use iaora sound event since they're not available
 - it should fix the logout/shutdown/reboot functionnality of KDE

* Mon Feb 14 2011 dmorgan <dmorgan> 1-0.9.mga1
+ Revision: 51652
- Use new tarball ( fix kdm issues )
- Fix kdm

* Mon Feb 14 2011 dmorgan <dmorgan> 1-0.7.mga1
+ Revision: 51626
- Fix button name in script
- Fix kde menu button

  + misc <misc>
    - add instruction to recreate the tarball
    - put the url to the svn ( as people may not know where to look otherwise )

* Mon Feb 14 2011 dmorgan <dmorgan> 1-0.6.mga1
+ Revision: 51596
- Fix kde icon menu

* Mon Feb 14 2011 dmorgan <dmorgan> 1-0.5.mga1
+ Revision: 51579
- Fix Home icon

* Sun Feb 13 2011 dmorgan <dmorgan> 1-0.4.mga1
+ Revision: 51522
- remove old provides/obsoletes
- remove old provides/obsoletes

* Sat Feb 12 2011 dmorgan <dmorgan> 1-0.3.mga1
+ Revision: 51082
- Add a workaround to fix kdm files location

* Thu Feb 10 2011 dmorgan <dmorgan> 1-0.2.mga1
+ Revision: 49851
- Fix requires

* Thu Feb 10 2011 dmorgan <dmorgan> 1-0.1.mga1
+ Revision: 49834
- Fix file list
- Fix button name
- Fix creation of the src.rpm
- Fix creation of the src.rpm
- Do not handle MageiaIcons for now
- Mandriva--
- imported package mageia-kde4-config


* Thu Feb 03 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 2011-0.6mdv2011.0
+ Revision: 635435
- Change cursor style
- Use new style

* Tue Feb 01 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 2011-0.4
+ Revision: 634782
- Install Home icons

* Tue Feb 01 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 2011-0.3
+ Revision: 634700
- Add back Home icon

* Mon Jan 17 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 2011-0.2
+ Revision: 631222
- s/update_gnomekde4rc/update_gnomekderc/ in trigger scriptlets

* Tue Jan 11 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 2011-0.1
+ Revision: 630933
- Fix new *****  rpm behaviour with %%exclude
- Add config changes for 2011

* Fri May 28 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.1-22mdv2010.1
+ Revision: 546515
- Fix dolphin first window

* Thu May 27 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.1-21mdv2010.1
+ Revision: 546361
- Do not show annotation part in kmail by default

* Thu May 27 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.1-20mdv2010.1
+ Revision: 546330
- Switch back to standard wallpaper

* Wed May 26 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.1-19mdv2010.1
+ Revision: 546121
- Update Flash banner
- Add opaque panel widget too

* Fri May 21 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.1-18mdv2010.1
+ Revision: 545668
- Fix theme panel
- Do not check for icons at each kde start
- Copy the welcome.desktop only if mandriva-galaxy is installed
  Patch from Funda Wang
  CCBUG: 59351

* Thu May 13 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.1-17mdv2010.1
+ Revision: 544672
- Fix fi position

* Wed May 12 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.1-16mdv2010.1
+ Revision: 544571
- Fix typo
- Add default icons for common folders
  Handle migration from old mandriva

* Wed Apr 28 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.1-15mdv2010.1
+ Revision: 540273
- Add 4.4 top banners

* Tue Apr 27 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.1-14mdv2010.1
+ Revision: 539629
- Fix plasma theme

* Tue Apr 20 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.1-13mdv2010.1
+ Revision: 536932
- Revert the previous changed in trash.desktop

* Fri Apr 16 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.1-12mdv2010.1
+ Revision: 535498
- kdm conf files have to be tagged as noreplace
  Tks ahmad for your eyes on this :)
- Fix trash.desktop
- Fix trash.desktop

* Wed Apr 14 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.1-11mdv2010.1
+ Revision: 534911
- New version
    - New netbook profile
- No need to define showBatteryString to true, as this is default in mandriva now

* Mon Feb 22 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.1-10mdv2010.1
+ Revision: 509618
- Fix upgrades
  Obsoletes/Provides the kdm subpackage
- Add %%triggerpostun to handle upgrades with kde3
- Add kdm config files in each packages, that way we respect mdv flavour colours
- Fix wrong postun, a fi was missing
- Remove netbook package
- Not needed for the moment
- Enhance battery applet

* Tue Feb 02 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.1-9mdv2010.1
+ Revision: 499565
- Add missing images

* Tue Feb 02 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.1-8mdv2010.1
+ Revision: 499492
- Put the battery applet in the systray too
- Fix default plasmoids order so they do not get mixed
  Remove devicenotifier from the taskbar but put in the systray instead

* Mon Feb 01 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.1-7mdv2010.1
+ Revision: 499063
- Fix themes

* Sun Jan 31 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.1-6mdv2010.1
+ Revision: 498868
- Change the name of the themes
- Add a battery applet on laptop and mobile devices
- Add back source5 removed by error

* Fri Jan 22 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.1-5mdv2010.1
+ Revision: 495023
- Use timeoftheday by default
- Remove unused lines
- lock the desktop by default
- Remove TODO, this is now fixed in kdelibs
- Add draft js file ( will replace plasma config files )

* Sat Jan 02 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.1-4mdv2010.1
+ Revision: 484931
- Fix dolphin default window
  Allow to see by default the copy to and move to menus

* Wed Dec 30 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.1-3mdv2010.1
+ Revision: 483869
- New version, now kdm can handle fingerprints logins
- Adapt to new config files name

* Mon Nov 23 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.1-2mdv2010.1
+ Revision: 469324
- Use virtuoso as default nepomuk backend
- Fix upgrade from older mandriva
- Fix typo
- Use new tarball
- Create a netbook sub package

* Thu Oct 29 2009 Gustavo Pichorim Boiko <boiko@mandriva.com> 2010.0-27mdv2010.0
+ Revision: 460167
- add the new splash themes

* Wed Oct 28 2009 Gustavo Pichorim Boiko <boiko@mandriva.com> 2010.0-26mdv2010.0
+ Revision: 459710
- Add the rounded buttons for the menu

* Wed Oct 28 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.0-25mdv2010.0
+ Revision: 459687
- Remove old kde3 media.desktop

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - New release adding more pieces of artwork

* Sat Oct 24 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.0-23mdv2010.0
+ Revision: 459133
- Use triggerpostun to create the kdmrc file removed by the removal of mandriva-kdm-config
- Remove Conflicts

  + Raphaël Gertz <rapsys@mandriva.org>
    - Add hide of ccp output as fcrozat requested
    - Add missing requires(post): ccp

* Tue Oct 20 2009 Raphaël Gertz <rapsys@mandriva.org> 2010.0-21mdv2010.0
+ Revision: 458377
- Add merge with rpmnew

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix alternatives
    - New tarball without backup filetypesrc~

* Sun Oct 18 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.0-18mdv2010.0
+ Revision: 458073
- increase ServerTimeout from 15 to 120 (Bug #54115 #54318)
- Use default KDE debugs for the release ( Bug #54582)
- Fix opening of xhtml+xml files ( BUG # 33415)
- Fix initial KMail configurtion

* Thu Oct 15 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.0-15mdv2010.0
+ Revision: 457603
- More conflicts

* Thu Oct 15 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.0-14mdv2010.0
+ Revision: 457548
- Fix upgrade of kdm config

* Wed Oct 14 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.0-13mdv2010.0
+ Revision: 457348
- Fix typo

* Tue Oct 13 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.0-12mdv2010.0
+ Revision: 457183
- add obsoletes

* Mon Sep 28 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.0-11mdv2010.0
+ Revision: 450526
- Add search field on dolphin

* Sat Sep 26 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.0-10mdv2010.0
+ Revision: 449584
- Fix dolphin at first launch

* Wed Sep 09 2009 Helio Chissini de Castro <helio@mandriva.com> 2010.0-9mdv2010.0
+ Revision: 436101
- Change Home to point ot dolphin instead of konqueror
- Both desktop links need to be executable status to avoid reference warning marks

* Thu Aug 27 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.0-8mdv2010.0
+ Revision: 421735
- Show Home on the desktop

* Fri Aug 21 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.0-7mdv2010.0
+ Revision: 418924
- Fix release
- Bump release
- Add missing desktop file
- Add back Home icon on the desktop
- Fix typo

* Fri Jul 31 2009 Helio Chissini de Castro <helio@mandriva.com> 2010.0-0.6.2mdv2010.0
+ Revision: 405263
- Fix icon structure to use png and render from svg

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - this is not needed as handled by /usr/lib/kconf_update_bin/plasma-to-plasma-desktop

* Mon Jul 27 2009 Helio Chissini de Castro <helio@mandriva.com> 2010.0-0.6.1mdv2010.0
+ Revision: 400838
- Update icon for menu and update for iaora-qt to iaorakde

* Mon Jun 29 2009 Helio Chissini de Castro <helio@mandriva.com> 2010.0-0.5.1mdv2010.0
+ Revision: 390605
- As we using default theme Air as a replacement for Aya, we don't need setup it in rc file

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Handle plasma conf file name changes
    - Forwardport commit 387188

* Wed Jun 24 2009 Helio Chissini de Castro <helio@mandriva.com> 2010.0-0.4.1mdv2010.0
+ Revision: 388868
- Goodbye Aya. We have a new default theme to embrace our distro..

* Wed May 27 2009 Rodrigo Gonçalves de Oliveira <rodrigo@mandriva.com> 2010.0-0.3mdv2010.0
+ Revision: 380238
- update Flash top bar
- update top menu image

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - At first boot KDE already install a Home link, do not add it twice

* Sat May 09 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.0-0.2mdv2010.0
+ Revision: 373729
- Bump release
- Add more icons

* Sat May 02 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.0-0.1mdv2010.0
+ Revision: 370409
- Adapt to new kde 4.3 config files name

* Thu Apr 23 2009 Helio Chissini de Castro <helio@mandriva.com> 2009.1-23mdv2009.1
+ Revision: 368814
- Removed override icon for x-image-generic. Leftover from openoffice icons added in 2008.1

* Mon Apr 20 2009 Helio Chissini de Castro <helio@mandriva.com> 2009.1-22mdv2009.1
+ Revision: 368466
- Fix panel resize issue. Update tarball with svn mandriva upstream data

* Mon Apr 20 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2009.1-21mdv2009.1
+ Revision: 368278
- Add comment about patch0
- Add back the trash icon as this is what will be used on default desktop
- Fix open of Home Desktop icon

* Thu Apr 16 2009 Helio Chissini de Castro <helio@mandriva.com> 2009.1-20mdv2009.1
+ Revision: 367708
- We don't use trash desktop anymore on kde4. Solve issue for nautilus too.

* Thu Apr 09 2009 Arthur Renato Mello <arthur@mandriva.com> 2009.1-19mdv2009.1
+ Revision: 365392
- Update Kickoff button for PWP

* Thu Apr 09 2009 Gustavo Pichorim Boiko <boiko@mandriva.com> 2009.1-18mdv2009.1
+ Revision: 365387
- New version fixing the color schemes

* Tue Apr 07 2009 Gustavo Pichorim Boiko <boiko@mandriva.com> 2009.1-17mdv2009.1
+ Revision: 364904
- Add the colorScheme tag to the default color schemes so that
  xsettings-kde works

* Mon Apr 06 2009 Gustavo Pichorim Boiko <boiko@mandriva.com> 2009.1-16mdv2009.1
+ Revision: 364296
- New release fixing mandriva colors and the menu topbar

* Fri Apr 03 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2009.1-15mdv2009.1
+ Revision: 363876
- Show trash only in Kde

* Thu Apr 02 2009 Gustavo Pichorim Boiko <boiko@mandriva.com> 2009.1-14mdv2009.1
+ Revision: 363606
- New version containing the latest artwork for menu and splash

* Wed Apr 01 2009 Helio Chissini de Castro <helio@mandriva.com> 2009.1-13mdv2009.1
+ Revision: 363382
- Add aya as a suggests for common config profile

* Mon Mar 30 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2009.1-12mdv2009.1
+ Revision: 362233
- Do not show Welcome and Home menuentries

* Tue Mar 24 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2009.1-11mdv2009.1
+ Revision: 360893
- Fix trashcan icon

* Mon Mar 23 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2009.1-10mdv2009.1
+ Revision: 360713
- Fix typo

* Sun Mar 22 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2009.1-9mdv2009.1
+ Revision: 360478
- Fix macros
- Use icon for the trash
  Add icon of the mdv button ( needed for next kdebase4-workspace )

* Tue Mar 10 2009 Anne Nicolas <ennael@mandriva.org> 2009.1-8mdv2009.1
+ Revision: 353395
- Fix trash position

* Mon Mar 09 2009 Arthur Renato Mello <arthur@mandriva.com> 2009.1-7mdv2009.1
+ Revision: 353265
- Add new Mandriva menu button for KDE

* Fri Mar 06 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2009.1-6mdv2009.1
+ Revision: 349801
- Fix file list
  Fix trash applet position
  Force 2 row for the virtual desktop applet
- Add back the Welcome icon on the desktop

* Thu Feb 12 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2009.1-5mdv2009.1
+ Revision: 339708
- Change some default 3D effects ( to avoid conflicts, and be eye-candy )

* Tue Feb 03 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2009.1-4mdv2009.1
+ Revision: 336959
- show Home2.desktop only in KDE

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Open dolphin on $HOME
    - Fix requires ( needed for Home2.desktop)

* Wed Jan 21 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2009.1-3mdv2009.1
+ Revision: 332267
- Fix trash position
- Lock the plasma bar at first start
  Use folderview as desktop plugin and not as a plasmoid anymore ( kde3 way of use )
- Use mandriva icon

* Wed Jan 21 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2009.0-53mdv2009.1
+ Revision: 332108
- Rename Source2 to avoid conflicts
- Copy a file manager desktop file on the desktop

* Wed Jan 07 2009 Gustavo Pichorim Boiko <boiko@mandriva.com> 2009.0-51mdv2009.1
+ Revision: 326785
- new release fixing the window title colors

* Fri Dec 19 2008 Gustavo Pichorim Boiko <boiko@mandriva.com> 2009.0-50mdv2009.1
+ Revision: 316265
- Fix the battery applet

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Do not use powersave anymore but battery applet

* Fri Dec 19 2008 Gustavo Pichorim Boiko <boiko@mandriva.com> 2009.0-49mdv2009.1
+ Revision: 316230
- Fix some plasma configs (background and menu)

* Wed Oct 08 2008 Frederic Crozat <fcrozat@mandriva.com> 2009.0-48mdv2009.0
+ Revision: 291201
- Rebuild with cooker signature

* Thu Oct 02 2008 Gustavo Pichorim Boiko <boiko@mandriva.com> 2009.0-47mdv2009.0
+ Revision: 290958
- There is a bug in KSharedConfig which makes it not reading kdeglobals
  from kde prefixes. Fixed by copying kdeglobals to /usr/share/config.

* Thu Oct 02 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-46mdv2009.0
+ Revision: 290901
- Amarok and kdm rc rational changes
- Little larger and sharp Mandriva button

* Wed Oct 01 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-45mdv2009.0
+ Revision: 290671
- Update mandriva base menu icon

* Wed Oct 01 2008 Olivier Blin <oblin@mandriva.com> 2009.0-44mdv2009.0
+ Revision: 290327
- remove special case for draklive-install, it has nothing to do here

* Tue Sep 30 2008 Gustavo Pichorim Boiko <boiko@mandriva.com> 2009.0-43mdv2009.0
+ Revision: 290230
- Fix the status messages for the splash screen
- Make the slideshow the default screensaver and point it to the right directory

* Tue Sep 30 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-42mdv2009.0
+ Revision: 290143
- Draklive icon should go in the right directory, not a specific Desktop since we're using translated xdg-user-dirs
- Missing config confirmation after desktop icons creation

* Tue Sep 30 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-40mdv2009.0
+ Revision: 290124
- We should not require binaries in kde4 config. Splash should go to runtime package

* Mon Sep 29 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-39mdv2009.0
+ Revision: 289683
- folderview now receive icons from Mandriva

* Thu Sep 25 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-38mdv2009.0
+ Revision: 288238
- Change place for env file, as requested

* Thu Sep 25 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-37mdv2009.0
+ Revision: 288219
- Silence nepomuk in startup...

* Thu Sep 25 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-36mdv2009.0
+ Revision: 288131
- Locale for kdm was hardcoded ( last file ? )
- Sub shell script in env with exit invokes all default desktop calls bail out. Similar issue happened in keychain script

* Thu Sep 25 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-35mdv2009.0
+ Revision: 287979
- Powersave comes from first setup in a script, this eliminate the issue of having a useless applet in the panel bar

* Wed Sep 24 2008 Arthur Renato Mello <arthur@mandriva.com> 2009.0-34mdv2009.0
+ Revision: 287942
- Adding ksplash themes information to be show on system settings

* Tue Sep 23 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-33mdv2009.0
+ Revision: 287384
- Put proper powersave applet

* Tue Sep 23 2008 Arthur Renato Mello <arthur@mandriva.com> 2009.0-32mdv2009.0
+ Revision: 287237
- Adding require for kde4-splash-mdv
- Changing ksplashrc to use kde4-splash-mdv

* Mon Sep 22 2008 Arthur Renato Mello <arthur@mandriva.com> 2009.0-31mdv2009.0
+ Revision: 287132
- Importing KDE Splash Themes for 2009.0

* Mon Sep 22 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-30mdv2009.0
+ Revision: 287095
- Applets position

* Mon Sep 22 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-29mdv2009.0
+ Revision: 286821
- Added battery applet
- Added four oasis defined mimetype icons provided by Cabral
- Try to move systray applet to a different position to come before clock
- Little changes to make Qa and Vincent happy. ( or less annoyed )
- Clock position
- Notification applet

* Fri Sep 12 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-27mdv2009.0
+ Revision: 284274
- Mandriva launcher menu.

* Wed Sep 10 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-26mdv2009.0
+ Revision: 283579
- Add button on kdm

* Fri Sep 05 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-25mdv2009.0
+ Revision: 281355
- Fix the untested firefox modification which lead kfmclient going nuts

* Thu Sep 04 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-24mdv2009.0
+ Revision: 280954
- Sounds back to ia_ora

* Fri Aug 29 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-23mdv2009.0
+ Revision: 277340
- Forced 96dpi to fonts as requested

* Thu Aug 28 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-22mdv2009.0
+ Revision: 276869
- Fix menubar images

* Wed Aug 27 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-21mdv2009.0
+ Revision: 276606
- We don't want real files sit on kdm, so move old ones to kdmrc.old
- Update kdm theme with final layout

* Tue Aug 26 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-19mdv2009.0
+ Revision: 276079
- Prepare icons for mandriva menu

* Tue Aug 19 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-18mdv2009.0
+ Revision: 273951
- Prepare to iaora style and window decorator

* Tue Aug 12 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-17mdv2009.0
+ Revision: 271131
- Added notification applet and lock applet on kicker like bar

* Thu Aug 07 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-16mdv2009.0
+ Revision: 266299
- Start to populate configs

* Mon Jul 28 2008 Gustavo Pichorim Boiko <boiko@mandriva.com> 2009.0-15mdv2009.0
+ Revision: 251495
- Make IaOra the default widget style

* Fri Jul 18 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-14mdv2009.0
+ Revision: 238302
- Disable all kwin effects

* Wed Jul 09 2008 Olivier Blin <oblin@mandriva.com> 2009.0-13mdv2009.0
+ Revision: 232934
- make sure /usr/share/config/kdm exists before alternative is set
  (kdm owns /usr/share/config/kdm, but is installed after,
   since it requires mandriva-kdm4-config)

* Tue Jul 08 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-12mdv2009.0
+ Revision: 232852
- Added alternatives method for kdm. Is easier handle this way than change old C codebase for read standard profiles.
- Post kdm4 packages will requires kdm4-config-file, which mean any oem or different layout for kdm can now be easyly handled
  by alternatives.
- Upstream kdm config will be provided in future

* Fri Jul 04 2008 Anssi Hannula <anssi@mandriva.org> 2009.0-11mdv2009.0
+ Revision: 231821
- fix typo in upstream-kde4-config alternatives command of -common
- own /var/lib/mandriva/kde4-profiles in -common

* Tue Jun 24 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-10mdv2009.0
+ Revision: 228720
- Panel basic default fixed
- kwin simple effects with xrender
- Aya theme as base

* Tue Jun 24 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-8mdv2009.0
+ Revision: 228601
- Use theme in appsdir for now
- Adding somple plasma theme

* Fri Jun 20 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-7mdv2009.0
+ Revision: 227629
- Fixed config to match right wallpaper and include a bar that was missing

* Fri Jun 20 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-6mdv2009.0
+ Revision: 227564
- Update kdmrc for new X paths

* Thu Jun 19 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-5mdv2009.0
+ Revision: 227181
-Small rusty configs

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Mon May 26 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2009.0-4mdv2009.0
+ Revision: 211392
- Reupload because of missing binary

* Thu May 22 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2009.0-3mdv2009.0
+ Revision: 210140
- Move in /usr

* Wed May 07 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-2mdv2009.0
+ Revision: 202873
- Fixed kdm theme location

* Tue May 06 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-1mdv2009.0
+ Revision: 202258
- Remove conflicts that was suppose to be to kde 3 package
- First fully functional kde4 config

* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 2008.0-2mdv2008.1
+ Revision: 140944
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Oct 03 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 2008.0-2mdv2008.0
+ Revision: 95234
- Use double click by default

* Tue Oct 02 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 2008.0-1mdv2008.0
+ Revision: 94679
- import mandriva-kde4-config


